﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Composite.Regions;
using StockTraderRI.Infrastructure;

namespace StockTraderRI.Modules.Position
{
    public class PositionModule : IModule
    {
        private readonly IRegionViewRegistry regionViewRegistry;

        public PositionModule(IRegionViewRegistry registry)
        {
            this.regionViewRegistry = registry;
        }

        #region IModule Members

        public void Initialize()
        {
            regionViewRegistry.RegisterViewWithRegion(RegionNames.MainRegion, typeof(Views.PositionView));
        }

        #endregion
    }
}